/*computes 8!= 40320 (9! overflows 16 bit int size) */
/* to generate .asm file and .com use:
   tcc -S -Z [-G] -mt -lt f.c
*/
#include <stdio.h>
unsigned int fact(unsigned int n)
{
 return (n==1)? 1: n*fact(n-1);
}
main()
{ unsigned int n;
  n=8;
  printf("Factorial %u is %u\n", n, fact(n));
}
